#include "xgfxpackedvertex.h"

XGfxPackedVertex::XGfxPackedVertex()
    : XAsset()
    , mXYZ()
    , mBinormalSign(0)
    , mColor()
    , mTexCoord()
    , mNormal()
    , mTangent()
{
    
}

void XGfxPackedVertex::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mXYZ[0]
            >> mXYZ[1]
            >> mXYZ[2]
            >> mBinormalSign;

        mColor.ParseData(aStream);
        mTexCoord.ParseData(aStream);
        mNormal.ParseData(aStream);
        mTangent.ParseData(aStream);
    }
}

void XGfxPackedVertex::Clear()
{
    
}
